linux-ti-omap4: 3.2.0-1436.55 -proposed tracker

Bug #1205540 reported by Brad Figg on 2013-07-27
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Paolo Pisati
Prepare-package-meta
Medium
Brad Figg
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Adam Conrad
Security-signoff
Medium
John Johansen
Upload-to-ppa-dnu
Medium
Brad Figg
Verification-testing
Medium
ubuntu-armel-kernel
linux-ti-omap4 (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Saturday, 27. July 2013 00:10 UTC
kernel-stable-master-bug:1205381
kernel-stable-Certification-testing-end:Tuesday, 06. August 2013 02:02 UTC
kernel-stable-Prepare-package-end:Saturday, 10. August 2013 13:52 UTC
kernel-stable-Promote-to-proposed-start:Saturday, 10. August 2013 13:52 UTC
kernel-stable-Promote-to-proposed-end:Saturday, 10. August 2013 14:01 UTC
kernel-stable-Verification-testing-start:Saturday, 10. August 2013 15:02 UTC
kernel-stable-Security-signoff-start:Saturday, 10. August 2013 17:02 UTC
kernel-stable-Verification-testing-end:Saturday, 10. August 2013 17:02 UTC
kernel-stable-Regression-testing-start:Saturday, 10. August 2013 17:02 UTC
kernel-stable-Security-signoff-end:Monday, 19. August 2013 10:01 UTC
kernel-stable-Promote-to-updates-start:Monday, 19. August 2013 19:59 UTC
kernel-stable-Regression-testing-end:Monday, 19. August 2013 19:59 UTC
kernel-stable-Promote-to-updates-end:Monday, 19. August 2013 21:03 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 19. August 2013 23:05 UTC

CVE References

This tracking bug was opened to be worked from linux-3.2.0-52.78 update (bug 1205381)

tags: added: kernel-release-tracking-bug
tags: added: armel
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-ti-omap4 (Ubuntu):
importance: Undecided → Medium
Changed in linux-ti-omap4 (Ubuntu Precise):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2013-08-01
summary: - linux-ti-omap4: <version to be filled> -proposed tracker
+ linux-ti-omap4: 3.2.0-1436.47 -proposed tracker
Brad Figg (brad-figg) on 2013-08-01
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) on 2013-08-06
description: updated
summary: - linux-ti-omap4: 3.2.0-1436.47 -proposed tracker
+ linux-ti-omap4: 3.2.0-1436.49 -proposed tracker
Brad Figg (brad-figg) on 2013-08-06
description: updated
Brad Figg (brad-figg) on 2013-08-10
summary: - linux-ti-omap4: 3.2.0-1436.49 -proposed tracker
+ linux-ti-omap4: 3.2.0-1436.55 -proposed tracker
Brad Figg (brad-figg) on 2013-08-10
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2013-08-10
description: updated
Brad Figg (brad-figg) on 2013-08-10
description: updated
Adam Conrad (adconrad) wrote :

No flavour-specific bugs.

Brad Figg (brad-figg) on 2013-08-10
description: updated
Paul Larson (pwlars) wrote :

Seeing two test failures on regression testing:

08/12 22:51:49 DEBUG|base_utils:0077| Running 'tests/run_one.sh -K -t file-concurrent.sh -b 1000000 -D /mnt/image -l /mnt/lower -u /mnt/upper -f xfs
 - Talked to Brad about this, and we both agreed this wasn't a big surprise that it was timing out, due to the fact it's running on mmc, on a panda. This was one of the ecryptfs tests

The other was a previously reported bug concerning test_010_proc_maps:
https://bugs.launchpad.net/ubuntu-kernel-tests/+bug/1201781
- updated this bug

John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-08-19
description: updated
Adam Conrad (adconrad) wrote :

I'm going to let this one through, despite the minor testsuite regressions, just so we can be caught up on several pending CVEs. I'll reassign the QA task to myself so I can take the blame for it, but do let's look into these regressions (or testsuite bugs) for the next cycle.

Adam Conrad (adconrad) on 2013-08-19
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-08-19
description: updated
Adam Conrad (adconrad) on 2013-08-19
Changed in linux-ti-omap4 (Ubuntu):
status: New → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ti-omap4 - 3.2.0-1436.55

---------------
linux-ti-omap4 (3.2.0-1436.55) precise; urgency=low

  * Release Tracking Bug
    - LP: #1205540

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.2.0-52.78

  [ Ubuntu: 3.2.0-52.78 ]

  * Release Tracking Bug
    - LP: #1205381
  * Input: elantech - fix for newer hardware versions (v7)
    - LP: #1166442
  * fanotify: info leak in copy_event_to_user()
    - LP: #1188356
    - CVE-2013-2148

  [ Ubuntu: 3.2.0-51.77 ]

  * Release Tracking Bug
    - LP: #1199470
  * Bluetooth: Fix invalid length check in l2cap_information_rsp()
    - LP: #1204548
 -- Paolo Pisati <email address hidden> Thu, 01 Aug 2013 09:30:26 +0100

Changed in linux-ti-omap4 (Ubuntu Precise):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-08-19
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers